.profile-container {
  max-width: 1366px;
  margin: 0 auto;
  color: var(--text);
}

.profile-wrapping {
  margin: 0rem 2rem 2rem;
  display: flex;
  flex-direction: column;
  align-items: center;
}

/* Start of Top Content */

.profile-wrapping .profile-top-content {
  width: 100%;
  height: 216px;
  position: relative;
  overflow: hidden;
}

.profile-wrapping .profile-top-content .waiting-background {
  position: absolute;
  top: -9999px;
  bottom: -9999px;
  left: -9999px;
  right: -9999px;
  margin: auto;
  max-height: 100%;
  max-width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.profile-wrapping .profile-top-content img {
  position: absolute;
  top: -9999px;
  bottom: -9999px;
  left: -9999px;
  right: -9999px;
  margin: auto;
}

/* End of Top Content */

/* Start of Bottom Content */

.profile-wrapping .profile-bottom-content {
  display: flex;
  flex-direction: column;
  width: 100%;
}

/* Start of Left Content */

.profile-wrapping .profile-bottom-content .profile-left-content {
  margin-bottom: 2rem;
  border: 0.1rem solid var(--border);
  border-radius: 0 0 0.75rem 0.75rem;
  padding: 1rem;
  box-sizing: border-box;
}

.profile-wrapping .profile-bottom-content .profile-left-content .relative {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  position: relative;
  top: -4.5rem;
}

.profile-wrapping .profile-bottom-content .profile-left-content .profile-image {
  width: 120px;
  height: 120px;
  border-radius: 60px;
  background-color: var(--firstImage);
  position: relative;
  overflow: hidden;
}

.profile-wrapping
  .profile-bottom-content
  .profile-left-content
  .profile-image
  img {
  position: absolute;
  top: -9999px;
  bottom: -9999px;
  left: -9999px;
  right: -9999px;
  margin: auto;
  max-height: 50%;
}

.profile-wrapping .profile-bottom-content .profile-left-content p {
  margin: 1rem 0;
}

.profile-wrapping .profile-bottom-content .profile-left-content h1 {
  font-size: 1.2rem;
}

.profile-wrapping .profile-bottom-content .profile-left-content .location-user {
  display: flex;
  margin-bottom: 6rem;
  align-items: center;
}

.profile-wrapping
  .profile-bottom-content
  .profile-left-content
  .location-user
  svg {
  margin-right: 0.5rem;
  width: 10px;
}

.profile-wrapping
  .profile-bottom-content
  .profile-left-content
  .location-user
  p {
  margin: 0;
  font-size: 0.9rem;
}

.profile-wrapping .profile-bottom-content .profile-left-content a button {
  color: var(--mainSecondText);
  border: 0.15rem solid var(--mainSecondInvBorderBtn);
  background-color: var(--mainSecondInvBtn);
  border-radius: 0.75rem;
  padding: 0 1rem;
  box-sizing: border-box;
  width: 100%;
  margin-bottom: 0.5rem;
  font-weight: bold;
  transition: 0.3s ease;
}

.profile-wrapping .profile-bottom-content .profile-left-content a button:hover {
  background-color: var(--hoverSecondBtn);
  border: 0.15rem solid var(--hoverSecondBorderBtn);
  color: var(--textOnBlockProfile);
}

.profile-wrapping
  .profile-bottom-content
  .profile-left-content
  a
  button:active {
  background-color: var(--activeSecondBtn);
  border: 0.15rem solid var(--activeSecondBorderBtn);
}

.profile-wrapping .profile-bottom-content .profile-left-content a {
  text-decoration: none;
  color: var(--mainSecondBtn);
  transition: 0.3s ease;
}

.profile-wrapping
  .profile-bottom-content
  .profile-left-content
  button:nth-child(3) {
  color: var(--mainSecondBtn);
  border: none;
  background-color: var(--btnTrans);
  border-radius: 0.75rem;
  padding: 0 1rem;
  box-sizing: border-box;
  width: 100%;
  font-weight: bold;
  transition: 0.3s ease;
}

.profile-wrapping
  .profile-bottom-content
  .profile-left-content
  button:nth-child(3):hover {
  color: var(--mainWarnBtn);
}

/* End of Left Content */

/* Start of Right Content */

.profile-wrapping .profile-bottom-content .profile-right-content {
  text-align: left;
  flex-grow: 1;
}

/* Start of Button Switch */

.profile-wrapping
  .profile-bottom-content
  .profile-right-content
  .switch-page-btn {
  display: flex;
  margin-bottom: 1rem;
  justify-content: center;
}

.profile-wrapping
  .profile-bottom-content
  .profile-right-content
  .switch-page-btn
  .menu-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 0 0.5rem;
}

.profile-wrapping
  .profile-bottom-content
  .profile-right-content
  .switch-page-btn
  .menu-item
  a {
  text-decoration: none;
  color: var(--text);
  margin-bottom: 0.2em;
  font-weight: 600;
  transition: all 200ms ease;
}

.profile-wrapping
  .profile-bottom-content
  .profile-right-content
  .switch-page-btn
  .menu-item:hover
  a {
  color: var(--mainSecondBtn);
}

.profile-wrapping
  .profile-bottom-content
  .profile-right-content
  .switch-page-btn
  .menu-item
  .strip {
  width: 100%;
  height: 4px;
  border-radius: 5px;
  background-color: var(--mainSecondBtn);
  opacity: 0;
  transition: all 200ms ease;
}

.profile-wrapping
  .profile-bottom-content
  .profile-right-content
  .switch-page-btn
  .menu-item:hover
  .strip {
  opacity: 1;
}

/* End of Button Switch */

/* Start of Custom, this page was Profile */

/* diimport */

/* End of Custom, this page was Profile */

/* End of Start Content */

/* End of Bottom Content */

@media screen and (min-width: 720px) {
  .profile-wrapping .profile-bottom-content {
    flex-direction: row;
    align-items: flex-start;
  }

  .profile-wrapping .profile-bottom-content .profile-right-content {
    margin-left: 2rem;
    text-align: left;
  }

  .profile-wrapping .profile-bottom-content .profile-left-content {
    min-width: 250px;
    position: sticky;
    top: 5rem;
  }

  .profile-wrapping
    .profile-bottom-content
    .profile-right-content
    .switch-page-btn {
    margin-top: 2rem;
    justify-content: left;
  }
}

@media screen and (min-width: 920px) {
  .profile-wrapping {
    margin: 0rem 4rem 2rem;
  }
}

@media screen and (min-width: 1000px) {
  .profile-wrapping {
    margin: 0rem 6rem 2rem;
  }
}

@media screen and (min-width: 1080px) {
  .profile-wrapping {
    margin: 0rem 8rem 2rem;
  }
}

/* LOADING */

.profile-wrapping
  .profile-bottom-content
  .profile-left-content
  .profile-image-load {
  width: 120px;
  height: 120px;
  border-radius: 60px;
  position: relative;
  overflow: hidden;
  background-image: linear-gradient(
    89deg,
    var(--colorLazyPrime),
    var(--colorLazyDouble)
  );
  animation: 4s ease-in-out 1ms infinite normal backwards running
    animation-loading;
}

.profile-wrapping
  .profile-bottom-content
  .profile-left-content
  .profile-image-load
  img {
  display: none;
}

.profile-wrapping
  .profile-bottom-content
  .profile-left-content
  .location-user-load {
  height: 1.75rem;
  width: 6rem;
  border-radius: 1.5rem;
  background-image: linear-gradient(
    89deg,
    var(--colorLazyPrime),
    var(--colorLazyDouble)
  );
  animation: 4s ease-in-out 1ms infinite normal backwards running
    animation-loading;
  margin-bottom: 6rem;
  align-items: center;
}

@keyframes animation-loading {
  0% {
    background-position: -300px center;
  }
  100% {
    background-position: 300px center;
  }
}
